import React, { Component } from "react";

import Header from "../Header.js";
import TopMenu from "../TopMenu.js";
import MainArea from "../MainArea.js";
import StopTitle from "../StopTitle.js";
import TrafficList from "../TrafficList.js";

import Stop from "../../classes/Stop.js";
import Departure from "../../classes/Departure.js";


class TrafficInfo extends Component {
    render() {
        /* TEST DATA - TO BE REPLACED */
        let testStop = new Stop(
            "Lemmingsgatan",
            ["Läge A", "Läge B", "Läge C"],
            [
                new Departure(
                    "519",
                    "Heden",
                    "11:59",
                    "Trafikolycka vid Partille Centrum. Olyckan ska ha inträffat i höjd med brandstationen och det är oklart om någon är skadad. Polis på väg. Två av bilarna behöver bärgas från platsen. Inga uppgifter om personskador."
                ),
                new Departure("58", "Västra Eriksberg", "12:07"),
            ]
        );

        testStop.departures[0].timeUpdate("16:50");
        /* TEST DATA - TO BE REPLACED */

        return (
            <>
                <Header title="Trafikinfo" />
                <TopMenu>
                    <StopTitle stop={testStop} />
                </TopMenu>
                <MainArea>
                    <TrafficList departures={testStop.departures} />
                </MainArea>
            </>
        );
    }
}

export default TrafficInfo;
